Subject: RE: [Ecrit] Audio Codecs for 911 CALLS.

From: "Karihaloo, Ujjval" <[email-masked]>
Date: Tue, 8 Aug 2006 11:20:40 -0600

For IP to PSTN call - 

   1         2                 3
UA---> SBC-----> Voip Gateway ---> PSTN (Traditional PRI Trunk from VoIP
Gateway to say a DMS 250)

There is a PRI connection in 3 above. So the VoIP Gateway would do the
conversion from any Compressed Codec (say G729) to G711 for the PSTN
Bearer.

However, for AUDIO in step 2 above, is what I was looking for.

Is "G711" the consensus in step 2 above?

-----Original Message-----
From: Brian Rosen [mailto:[email-masked]] 
Sent: Tuesday, August 08, 2006 11:13 AM
To: 'Henning Schulzrinne'; 'Andrew Newton'
Cc: Karihaloo, Ujjval; [email-masked]
Subject: RE: [Ecrit] Audio Codecs for 911 CALLS.

I don't really know enough about A law issues.  I believe, as you
suggest,
that the phones all support mu law.  That doesn't mean it's supported
through the carrier.  I'd be hesitant to say that, for emergency case
only,
mu Law was required, if they weren't already doing that, or at least
willing
to do that.  Plenty of VoIP systems "groom" codec lists with SBCs.

I don't think any cellular network uses G.729.  GSM systems will support
AMR, which will be nice, but doesn't cover all the cases.  There will be
a
lot of EvRC out there I think.  There ARE a lot of other codecs out
there
now.  Of course, they are all now transcoded to G.711. 

Can someone tell us where the transcode is done?  Is it at the MSC
itself?
It may not be worth worrying about older systems because you may not be
able
to get the compressed voice stream packetized any reasonable way.  If
you
think about replacing the connection to the PSTN emergency call system
now
with a gateway, it may already G.711 by that point.  If the transcode is
already done on some kind of PSTN gateway, maybe we could replace that
gateway with a VoIP gateway, and then you would have to deal with all
the
old codecs.

Brian

> -----Original Message-----
> From: Henning Schulzrinne [mailto:[email-masked]]
> Sent: Tuesday, August 08, 2006 12:40 PM
> To: Andrew Newton
> Cc: Brian Rosen; 'Karihaloo, Ujjval'; [email-masked]
> Subject: Re: [Ecrit] Audio Codecs for 911 CALLS.
> 
> Practically speaking, we're likely to have two classes of IP end
systems:
> 
> (1) residential and enterprise, all of which speak G.711 mu-law today;
> 
> (2) 3GPP and 3GPP2, which all support AMR (although I'm not sure which
> of the set of codecs in the AMR family are mandatory to support)
> 
> Thus, I don't see this as particularly hard. I see no need to support
> A-law, unless somebody can show that there's a VoIP device out there
> that only speaks A-law.
> 
> Also, it is not necessarily true that G.711 is more resilient against
> packet loss than compressed codecs.
> 
> See http://www.globalipsound.com/datasheets/EG711.pdf for some
> comparisons.
> 
> Clearly, we're using compressed codecs (G.729 and GSM-FR, primarily,
> although I'm not sure what Sprint's CDMA network uses) today for
> emergency calls, given that roughly half originate from cell phones.
> 
> Henning
> 
> Andrew Newton wrote:
> >
> > On Aug 8, 2006, at 9:18 AM, Brian Rosen wrote:
> >> Do we not agree that forcing every PSAP to support every codec that
> every
> >> carrier in its service area chooses makes no sense?  I'm assuming
we
> >> can't
> >> just pick one ourselves and demand the carriers support that one,
> >> right :)
> >
> > A lot of "nots" in the sentence.  Yes, PSAPs ought to be encouraged
to
> > support the codecs of the wireless carriers in the service area.
> >
> >> Do we not agree that supporting compressed codecs other than the
native
> >> wireless codecs is a bad idea (they all do g.711 also)?
> >
> > I really don't know about this.  I believe Barbara has a point.
> >
> > Also, I've been told that 3GPP2 has settled on a codec that MUST be
> > supported.
> >
> > -andy
> >
> > _______________________________________________
> > Ecrit mailing list
> > [email-masked]
> > https://www1.ietf.org/mailman/listinfo/ecrit

_______________________________________________
Ecrit mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/ecrit

---

From: "Brian Rosen" <[email-masked]>
Date: Tue, 8 Aug 2006 13:36:07 -0400

But we aren't discussing an IP to PSTN call.  We're talking about a VoIP to
VoIP emergency call; the PSAP answers the call as VoIP, and we're talking
about what codecs the PSAP must implement.  

Brian

> From: Karihaloo, Ujjval [mailto:[email-masked]]
> Sent: Tuesday, August 08, 2006 1:21 PM
> To: Brian Rosen; Henning Schulzrinne; Andrew Newton
> Cc: [email-masked]